Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface Interface Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface:

## Public Member Functions
| renderContent (Content $content, $viewType=self::VIEW_TYPE_FULL, $parameters=[])
| Renders $content by selecting the right template. More...
| renderLocation (Location $location, $viewType=self::VIEW_TYPE_FULL, $parameters=[])
| Renders $location by selecting the right template for $viewType. More...
| renderBlock (Block $block, $parameters=[])
| Renders $block by selecting the right template. More...
| renderContentView (View $view, array $defaultParams=[])
| Renders passed ContentView object via the template engine. More...

## Public Attributes
const | VIEW_TYPE_FULL = 'full'
const | VIEW_TYPE_LINE = 'line'

## Detailed Description

Definition at line 13 of file ViewManagerInterface.php.

## Member Function Documentation

## ◆ renderBlock()

eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface::renderBlock | ( | Block | $block,
|  |  | $parameters = `[]`
| ) |  |

Renders $block by selecting the right template.

$block will be injected in the selected template.

Parameters

  \eZ\Publish\Core\FieldType\Page\Parts\Block | $block |
  array | $parameters | Parameters to pass to the template called to render the view. By default, it's empty. 'block' entry is reserved for the Block that is viewed.

Exceptions

Implemented in eZ\Publish\Core\MVC\Symfony\View\Manager.

## ◆ renderContent()

eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface::renderContent | ( | Content | $content,
|  |  | $viewType = `self::VIEW_TYPE_FULL`,
|  |  | $parameters = `[]`
| ) |  |

Renders $content by selecting the right template.

$content will be injected in the selected template.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Content | $content |
  string | $viewType | Variation of display for your content. Default is 'full'.
  array | $parameters | Parameters to pass to the template called to render the view. By default, it's empty. 'content' entry is reserved for the Content that is rendered.

Exceptions

Implemented in eZ\Publish\Core\MVC\Symfony\View\Manager.

## ◆ renderContentView()

eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface::renderContentView | ( | View | $view,
|  | array | $defaultParams = `[]`
| ) |  |

Renders passed ContentView object via the template engine.

If $view's template identifier is a closure, then it is called directly and the result is returned as is.

Parameters

  \eZ\Publish\Core\MVC\Symfony\View\ContentViewInterface | $view |
  array | $defaultParams |

Returns
  string

Implemented in eZ\Publish\Core\MVC\Symfony\View\Manager.

## ◆ renderLocation()

eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface::renderLocation | ( | Location | $location,
|  |  | $viewType = `self::VIEW_TYPE_FULL`,
|  |  | $parameters = `[]`
| ) |  |

Renders $location by selecting the right template for $viewType.

$content and $location will be injected in the selected template.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location | $location |
  string | $viewType | Variation of display for your content. Default is 'full'.
  array | $parameters | Parameters to pass to the template called to render the view. By default, it's empty. 'location' and 'content' entries are reserved for the Location (and its Content) that is viewed.

Exceptions

Implemented in eZ\Publish\Core\MVC\Symfony\View\Manager.

## Member Data Documentation

## ◆ VIEW_TYPE_FULL

const eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface::VIEW_TYPE_FULL = 'full'

Definition at line 15 of file ViewManagerInterface.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Controller\Content\PreviewController\getForwardRequest().

## ◆ VIEW_TYPE_LINE

const eZ\Publish\Core\MVC\Symfony\View\ViewManagerInterface::VIEW_TYPE_LINE = 'line'

Definition at line 16 of file ViewManagerInterface.php.

The documentation for this interface was generated from the following file:

- ViewManagerInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.